Bug 1027439 - [abrt] qemu-system-x86-1.4.2-12.fc19: red_client_unref: Process /usr/bin/qemu-system-x86_64 was killed by signal 6 (SIGABRT)
[abrt] qemu-system-x86-1.4.2-12.fc19: red_client_unref: Process /usr/bin/qemu...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: spice (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christophe Fergeau
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f6e3e0c1dae222d3b1a2b8c9213...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 15:18 EST by cdhgold
Modified: 2015-02-17 14:06 EST (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:06:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (23.43 KB, text/plain)
2013-11-06 15:18 EST, cdhgold
no flags Details
File: cgroup (382 bytes, text/plain)
2013-11-06 15:18 EST, cdhgold
no flags Details
File: core_backtrace (11.10 KB, text/plain)
2013-11-06 15:18 EST, cdhgold
no flags Details
File: dso_list (9.39 KB, text/plain)
2013-11-06 15:18 EST, cdhgold
no flags Details
File: environ (99 bytes, text/plain)
2013-11-06 15:18 EST, cdhgold
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-06 15:18 EST, cdhgold
no flags Details
File: maps (48.06 KB, text/plain)
2013-11-06 15:19 EST, cdhgold
no flags Details
File: open_fds (1.48 KB, text/plain)
2013-11-06 15:19 EST, cdhgold
no flags Details
File: proc_pid_status (933 bytes, text/plain)
2013-11-06 15:19 EST, cdhgold
no flags Details

  None (edit)
Description cdhgold 2013-11-06 15:18:17 EST
Version-Release number of selected component:
qemu-system-x86-1.4.2-12.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/qemu-system-x86_64 -machine accel=kvm -name netflix -S -machine pc-i440fx-1.4,accel=kvm,usb=off -cpu SandyBridge,+erms,+smep,+fsgsbase,+rdrand,+f16c,+osxsave,+pcid,+pdcm,+xtpr,+tm2,+est,+vmx,+ds_cpl,+monitor,+dtes64,+pbe,+tm,+ht,+ss,+acpi,+ds,+vme -m 2048 -smp 2,sockets=2,cores=1,threads=1 -uuid 31887a6b-41ca-8147-11a5-e66a2eb95dff -no-user-config -nodefaults -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/netflix.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=localtime -no-shutdown -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x5 -drive file=/var/lib/libvirt/images/netflix.img,if=none,id=drive-ide0-0-0,format=raw -device ide-hd,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0,bootindex=1 -drive file=/home/cdhgold/SW_DVD5_Win_Pro_7_32BIT_English_Full_MLF_X15-71033.ISO,if=none,id=drive-ide0-1-0,readonly=on,format=raw -device ide-cd,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -netdev tap,fd=24,id=hostnet0 -device rtl8139,netdev=hostnet0,id=net0,mac=52:54:00:2d:1f:60,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=serial0 -chardev spicevmc,id=charchannel0,name=vdagent -device virtserialport,bus=virtio-serial0.0,nr=1,chardev=charchannel0,id=channel0,name=com.redhat.spice.0 -device usb-tablet,id=input0 -spice port=5900,addr=127.0.0.1,disable-ticketing,seamless-migration=on -vga qxl -global qxl-vga.ram_size=67108864 -global qxl-vga.vram_size=67108864 -device intel-hda,id=sound0,bus=pci.0,addr=0x4 -device hda-duplex,id=sound0-codec0,bus=sound0.0,cad=0 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x6
crash_function: red_client_unref
executable:     /usr/bin/qemu-system-x86_64
kernel:         3.11.6-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            107
var_log_messages: Nov  6 13:34:00 maclinux abrt-hook-ccpp[6915]: Saved core dump of pid 9292 (/usr/bin/qemu-system-x86_64) to /var/tmp/abrt/ccpp-2013-11-06-13:33:27-9292 (2453843968 bytes)

Truncated backtrace:
Thread no. 1 (6 frames)
 #5 red_client_unref at red_channel.c:1943
 #6 dispatcher_handle_single_read at dispatcher.c:139
 #7 dispatcher_handle_recv_read at dispatcher.c:162
 #8 qemu_iohandler_poll at iohandler.c:159
 #9 main_loop_wait at main-loop.c:417
 #10 main_loop at vl.c:2001
Comment 1 cdhgold 2013-11-06 15:18:30 EST
Created attachment 820714 [details]
File: backtrace
Comment 2 cdhgold 2013-11-06 15:18:35 EST
Created attachment 820715 [details]
File: cgroup
Comment 3 cdhgold 2013-11-06 15:18:41 EST
Created attachment 820716 [details]
File: core_backtrace
Comment 4 cdhgold 2013-11-06 15:18:47 EST
Created attachment 820717 [details]
File: dso_list
Comment 5 cdhgold 2013-11-06 15:18:52 EST
Created attachment 820718 [details]
File: environ
Comment 6 cdhgold 2013-11-06 15:18:57 EST
Created attachment 820719 [details]
File: limits
Comment 7 cdhgold 2013-11-06 15:19:03 EST
Created attachment 820720 [details]
File: maps
Comment 8 cdhgold 2013-11-06 15:19:09 EST
Created attachment 820721 [details]
File: open_fds
Comment 9 cdhgold 2013-11-06 15:19:15 EST
Created attachment 820722 [details]
File: proc_pid_status
Comment 10 Cole Robinson 2013-11-07 08:52:28 EST
I see your VM name is netflix, did this happen during video streaming? If not, what were you doing when this crashed? Is it reproducible?
Comment 11 cdhgold 2013-11-07 09:13:14 EST
yes it was during streaming so far has not occurred again it is a fully pathced  windows 7 vm used solely for netflix
Comment 12 Fedora Admin XMLRPC Client 2014-03-17 05:26:30 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 youyun 2014-09-26 23:10:03 EDT
such core has occurred for me. from the coding-level, it may not be generated, but I doubt that when the client be disconnected the time that the video stream (the qxl thread) refering the client, then inform the main thread(from the socket pair), the main thread call the ref_client_unref->free again. then core generated!the bug is too difficult to be generated  again.
Comment 14 Fedora End Of Life 2015-01-09 15:30:02 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-02-17 14:06:24 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.